| FFmpegKit iOS / macOS / tvOS API 4.5

Instance Methods
Statistics Class Reference

`#import <Statistics.h>`

## Instance Methods
(instancetype) | - init:videoFrameNumber:videoFps:videoQuality:size:time:bitrate:speed:
(long) | - getSessionId
(int) | - getVideoFrameNumber
(float) | - getVideoFps
(float) | - getVideoQuality
(long) | - getSize
(int) | - getTime
(double) | - getBitrate
(double) | - getSpeed

## Detailed Description

Statistics entry for an FFmpeg execute session.

Definition at line 28 of file Statistics.h.

## Method Documentation

## ◆ getBitrate

- (double) getBitrate |  |  |

Definition at line 30 of file Statistics.m.

## ◆ getSessionId

- (long) getSessionId |  |  |

Definition at line 30 of file Statistics.m.

## ◆ getSize

- (long) getSize |  |  |

Definition at line 30 of file Statistics.m.

## ◆ getSpeed

- (double) getSpeed |  |  |

Definition at line 30 of file Statistics.m.

## ◆ getTime

- (int) getTime |  |  |

Definition at line 30 of file Statistics.m.

## ◆ getVideoFps

- (float) getVideoFps |  |  |

Definition at line 30 of file Statistics.m.

## ◆ getVideoFrameNumber

- (int) getVideoFrameNumber |  |  |

Definition at line 30 of file Statistics.m.

## ◆ getVideoQuality

- (float) getVideoQuality |  |  |

Definition at line 30 of file Statistics.m.

## ◆ init:videoFrameNumber:videoFps:videoQuality:size:time:bitrate:speed:

- (instancetype) init: |  | (long) | sessionId
videoFrameNumber: |  | (int) | videoFrameNumber
videoFps: |  | (float) | videoFps
videoQuality: |  | (float) | videoQuality
size: |  | (int64_t) | size
time: |  | (int) | time
bitrate: |  | (double) | bitrate
speed: |  | (double) | speed

Definition at line 30 of file Statistics.m.

The documentation for this class was generated from the following files:

- Statistics.h
- Statistics.m